Skip to main content
POST
/
events
/
leads
/
{leadId}
Gets all events for lead.
curl --request POST \
  --url https://api.leadping.ai/events/leads/{leadId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pageSize": 123,
  "continuationToken": "<string>",
  "orderBy": [
    {
      "field": "<string>"
    }
  ],
  "includeCount": true,
  "search": "<string>",
  "searchFields": [
    "<string>"
  ],
  "filters": [
    {
      "field": "<string>",
      "value": {}
    }
  ],
  "rangeFilters": [
    {
      "field": "<string>",
      "greaterThan": {},
      "greaterThanOrEqual": {},
      "lessThan": {},
      "lessThanOrEqual": {}
    }
  ]
}
'
{
  "items": [
    {
      "id": "<string>",
      "eventType": "<string>",
      "description": "<string>",
      "createdAtDisplay": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>"
    }
  ],
  "pageSize": 123,
  "totalCount": 123,
  "continuationToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. (i.e. "Bearer 1234abcdef")

Path Parameters

leadId
string
required

The ID of the lead.

Body

application/json

Pagination, filtering, and sorting options.

pageSize
integer<int32>
continuationToken
string | null
orderBy
object[] | null
includeCount
boolean | null
search
string | null
searchFields
string[] | null
filters
object[] | null
rangeFilters
object[] | null

Response

Events for the lead were successfully retrieved.

items
object[] | null
pageSize
integer<int32>
totalCount
integer<int32> | null
continuationToken
string | null